#
# spec file for package streamtuner
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           streamtuner
BuildRequires:  curl-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libxml2-devel
BuildRequires:  openldap2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  taglib-devel
BuildRequires:  update-desktop-files
# For directory ownership:
BuildRequires:  libgnome
BuildRequires:  libtool
Summary:        A GUI Interface for Internet Radio Directories
License:        GPL-2.0+
Group:          Productivity/Networking/Web/Browsers
Version:        0.99.99
Release:        284.2
Url:            http://www.nongnu.org/streamtuner/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.png
Source3:        streamtuner-rpmlintrc
Source4:        COPYING
Patch0:         streamtuner-libtool.diff
Patch1:         streamtuner-basedocdir.patch
Patch2:         streamtuner-no_scrollkeeper_update.diff
Patch3:         streamtuner-0.99.99-live365.diff
Patch4:         streamtuner-0.99.99-pygtk-2.6.diff
Patch5:         streamtuner-type_punning.patch
Patch6:         streamtuner-desktop_no_tuner.diff
Patch7:         streamtuner-codecleanup.diff
Patch8:         streamtuner-desktop_no_icon_extension.patch
Patch9:         streamtuner-0.99.99-shoutcast.patch
Requires:       curl >= 7.10.8
Requires:       gtk2 >= 2.2.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
Streamtuner is a stream directory browser. Through the use of a plug-in
system, it offers an intuitive interface to Internet radio directories,
such as SHOUTcast and Live365.

%package      devel
Summary:        Development files for streamtuner
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glib2-devel
Requires:       gtk2-devel
Requires:       pkg-config

%description devel
Streamtuner is a stream directory browser. Through the use of a plugin
system, it offers an intuitive interface to Internet radio directories
such as SHOUTcast and Live365.

This package contains the libraries and includes files necessary to
develop applications using, and plugins for, Streamtuner.

%package      doc
Summary:        A GUI Interface for Internet Radio Directories
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Browsers
Requires:       %{name} = %{version}

%description doc
Streamtuner is a stream directory browser. Through the use of a plug-in
system, it offers an intuitive interface to Internet radio directories,
such as SHOUTcast and Live365.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1
# package is now under GPL
cp %{S:4} .
# fix build with automake-1.13
sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
intltoolize --force --copy
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -W -Wall -Wno-unused-parameter -fno-strict-aliasing"
%configure
make

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/%{name}/plugins/*.a
%suse_update_desktop_file %name
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc INSTALL README AUTHORS COPYING NEWS TODO
%doc /usr/share/gnome/help/streamtuner/C/streamtuner.xml
%doc /usr/share/gnome/help/streamtuner/C/software-license.xml
%doc /usr/share/gnome/help/streamtuner/C/figures/main-window.png
%doc /usr/share/gnome/help/streamtuner/C/documentation-license.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_bindir}/*
%{_libdir}/%{name}/plugins/*.so
%dir %{_datadir}/omf
%{_datadir}/omf/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}/plugins/*.*a

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/streamtuner

%changelog
* Mon Dec 16 2013 zaitor@opensuse.org
- Own %%{_datadir}/omf: scrollkeeper used to own this, but with the
  switch to rarian we have to care of it ourselves.
- Update Url to new "home" (http://www.nongnu.org/streamtuner/).
* Sat Mar  2 2013 seife+obs@b1-systems.com
- fix build with automake-1.13
* Mon Sep 24 2012 idonmez@suse.com
- No need to update scroll keeper database
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Jan 27 2010 detlef@links2linux.de
- add shoutcast url patch
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Tue May  6 2008 schwab@suse.de
- Don't use libtool before it is created.
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
* Mon Mar 10 2008 pth@suse.de
- Fix icon name in .desktop file
- Adapt rpmlintrc to new report style
- Compile with -fno-strict-aliasing because of stupid glib (G_LOCK)
* Thu Jan 31 2008 pth@suse.de
- src/plugins/local/local.c is under GPL, so with authors aggreement
  put the whole package under GPL (bnc#357587)
* Wed Jan 30 2008 sbrabec@suse.cz
- Devhelp documentation moved to the separate package (bnc#248813).
* Wed Oct 10 2007 pth@suse.de
- Add openldap2-devel to BuildRequires.
- Add a rpmlintrc file
* Thu Jun  7 2007 sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Tue Jan 30 2007 ro@suse.de
- GNOME moved to /usr
* Sat Oct  7 2006 aj@suse.de
- Cleanup BuildRequires.
* Fri Mar 24 2006 pth@suse.de
- Revert last patch and add Music to Category.
- Remove unneeded lokal variable and the code using it,
* Thu Mar 23 2006 pth@suse.de
- Remove Tuner from Categories in .desktop file as it
  leads to streamtuner being listed as TV app in KDE.
  (#160090)
* Wed Feb 15 2006 pth@suse.de
- Add curl to BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec  5 2005 pth@suse.de
- Apply upstream patches for PyGTK and live365
- Reenable Python plugin
- Fix aliasing issues.
* Tue Mar 22 2005 pth@suse.de
- Disable the python plugin as it segfaults with current
  python-gtk.
* Wed Jan 26 2005 pth@suse.de
- Initial package creation
